<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('start');
});

Route::get('/join/{meetingID}', function () {
    return view('join');
});

Route::get('/meeting/{meetingID}/{participantID}', 'GuestController@meeting');

Route::middleware('ensureNoValidSession')->group(function(){
    Route::get('/pro/request-sms-login-token', 'AppSessionController@proRequestSmsLogInToken')->name('pro-request-sms-login-token');
    Route::get('/pro/login', 'AppSessionController@proLogIn')->name('pro-login');
    Route::post('/pro/login', 'AppSessionController@processProLogIn')->name('process-pro-login');
});

Route::middleware('ensureValidSession')->group(function(){
    Route::get('/pro/dashboard', 'ProController@dashboard')->name('pro-dashboard');

    Route::get("/pros", 'ProController@index')->name('pro-index');
    Route::get("/pros/create", 'ProController@create')->name('pro-create');
    Route::get("/pros/show/{uid}", 'ProController@show')->name('pro-show');

    Route::get('/pro/meeting/{meetingID}', 'ProController@meeting');

    Route::get('/pro/logout', 'AppSessionController@processProLogOut')->name('pro-logout');

/* __SCAFFOLD_ROUTES__ */
/* SCAF */// my-teams CRUD
/* SCAF */Route::get ('/my-teams', 'MyTeamsController@index')->name('my-teams-index');
/* SCAF */Route::get ('/my-teams/{id}', 'MyTeamsController@show')->name('my-teams-view');
/* SCAF */Route::get ('/my-teams/create', 'MyTeamsController@create')->name('my-teams-create');
/* SCAF */Route::get ('/my-teams/update/{id}', 'MyTeamsController@update')->name('my-teams-update');
/* SCAF */// my-clients CRUD
/* SCAF */Route::get ('/my-clients', 'MyClientsController@index')->name('my-clients-index');
/* SCAF */Route::get ('/my-clients/{id}', 'MyClientsController@show')->name('my-clients-view');
/* SCAF */Route::get ('/my-clients/create', 'MyClientsController@create')->name('my-clients-create');
/* SCAF */Route::get ('/my-clients/update/{id}', 'MyClientsController@update')->name('my-clients-update');
/* SCAF */// notes CRUD
/* SCAF */Route::get ('/notes', 'NotesController@index')->name('notes-index');
/* SCAF */Route::get ('/notes/{id}', 'NotesController@show')->name('notes-view');
/* SCAF */Route::get ('/notes/create', 'NotesController@create')->name('notes-create');
/* SCAF */Route::get ('/notes/update/{id}', 'NotesController@update')->name('notes-update');

});
